srcdir = @srcdir@
VPATH = @srcdir@

ACLOCAL_AMFLAGS=-I m4

bin_PROGRAMS=
check_PROGRAMS=

EXTRA_LIBRARIES=
noinst_LIBRARIES=

AM_CPPFLAGS=

PROJECT_INCLUDE_FLAGS=
PROJECT_INCLUDE_FLAGS+=-I ${srcdir}/src


TESTS_INCLUDE_FLAGS=
TESTS_INCLUDE_FLAGS+= -I ${srcdir}/src/tests
TESTS_INCLUDE_FLAGS+= -I ${srcdir}/third_party/Catch2/include
TESTS_INCLUDE_FLAGS+= -I ${srcdir}/third_party/FakeIt/include -I ${srcdir}/third_party/FakeIt/config/catch

TESTS_NOWARN=
TESTS_NOWARN+= -Wno-deprecated-declarations -Wno-defaulted-function-deleted

# Cannot be included in a static .a library for some reason??
CATCH2_REPORTERS=third_party/Catch2/include/reporters/catch_reporter_bases.cpp\
	third_party/Catch2/include/reporters/catch_reporter_compact.cpp\
	third_party/Catch2/include/reporters/catch_reporter_console.cpp\
	third_party/Catch2/include/reporters/catch_reporter_xml.cpp \
	third_party/Catch2/include/reporters/catch_reporter_listening.cpp
#third_party/Catch2/include/reporters/catch_reporter_junit.cpp

run: ${bin_PROGRAMS}
	@./quartz-warriors

if HAVE_COMPILEDB
.PHONY: @top_builddir@/compile_commands.json vim-completion

@top_builddir@/compile_commands.json: clean
	compiledb `basename ${MAKE}` -j 2 CPPFLAGS="$(CPPFLAGS) $(TESTS_INCLUDE_FLAGS)" qw-test

@top_srcdir@/compile_commands.json: @top_builddir@/compile_commands.json
	mv @top_builddir@/compile_commands.json @top_srcdir@

vim-completion: @top_srcdir@/compile_commands.json
else
vim-completion:
	echo "compiledb not found; vim-completion disabled"
endif

all-am: @top_builddir@/res

include src/Makefile.am
include third_party/catch2-Makefile.am
include src/tests/Makefile.am
